aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorFrancesco Colista <fcolista@alpinelinux.org>2017-01-12 07:27:31 (GMT)
committerFrancesco Colista <fcolista@alpinelinux.org>2017-01-12 07:27:57 (GMT)
commit3a0310dba9e5bca8e2d1981b499d22fb2e7d7cb4 (patch)
tree30b5dbeab15a52294b62644e7b84102f4d611468
parent6cb1aaf26207010f450b3cd9e3a5742b9dc6f9ec (diff)
downloadaports-3a0310dba9e5bca8e2d1981b499d22fb2e7d7cb4.tar.bz2
community/py3-dialog: new aport
-rw-r--r--community/py3-dialog/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/community/py3-dialog/APKBUILD b/community/py3-dialog/APKBUILD
new file mode 100644
index 0000000..f4d9b05
--- /dev/null
+++ b/community/py3-dialog/APKBUILD
@@ -0,0 +1,28 @@
+# Contributor: Carlo Landmeter <clandmeter@gmail.com>
+# Maintainer: Francesco Colista <fcolista@alpinelinux.org>
+pkgname=py3-dialog
+pkgver=3.4.0
+pkgrel=0
+pkgdesc="A Python3 interface to the UNIX dialog utility and mostly-compatible programs"
+url="http://pythondialog.sourceforge.net/"
+arch="noarch"
+license="LGPL"
+depends="dialog"
+makedepends="python3-dev binutils"
+source="http://downloads.sourceforge.net/project/pythondialog/pythondialog/${pkgver}/python3-pythondialog-${pkgver}.tar.bz2"
+
+builddir="$srcdir"/pythondialog-$pkgver
+
+build() {
+ cd "$builddir"
+ python3 setup.py build || return 1
+}
+
+package() {
+ cd "$builddir"
+ python3 setup.py install --prefix=/usr --root="$pkgdir" || return 1
+}
+
+md5sums="3d5ebc33e85f6313964f5eef720dab19 python3-pythondialog-3.4.0.tar.bz2"
+sha256sums="019cdbffe3f61d32d6fb158ce48a767478af2aac2f31fb40460b39aefae604fe python3-pythondialog-3.4.0.tar.bz2"
+sha512sums="a810128459133c4e416f4b04b8dd98b2230f046b8762e6b29c4e02e1458fa96029d37137a71cc01aee292106867a6f30026941ed1f727b7e48cbe976d96d7ed4 python3-pythondialog-3.4.0.tar.bz2"